# Public functions

Documentation for JWAS.jl's public interface. Below are functions available to general users.


## Index

```@index
Pages = ["public.md"]
Modules = [JWAS]
```

```@index
Pages = ["public.md"]
Modules = [JWAS.misc]
```


## Public Interface

```@docs
build_model
set_covariate
set_random
get_pedigree
add_genotypes
add_markers
runMCMC
outputMCMCsamples
showMME
solve
```

```@docs
JWAS.misc.GWAS
JWAS.misc.get_additive_genetic_variances
JWAS.misc.get_heritability
JWAS.misc.get_correlations
JWAS.misc.get_breeding_values
JWAS.misc.reformat
JWAS.misc.report
JWAS.misc.QC
```
